#!/bin/bash
NAME=`grep '^NAME="' /etc/os-release | awk -F= '{print $2}' | sed 's/"//g'`
if [ "$NAME" = "NFSChina Server" ]; then
  NAME="方德高可信服务器操作系统"
fi
VERSION_ID=`grep '^VERSION_ID="' /etc/os-release | awk -F= '{print $2}' | sed 's/"//g'`
OS="nf"
if [ -f "/etc/licenses.d/os" ]; then
  OS=`cat /etc/licenses.d/os`
fi
dbus-send --system --print-reply --dest=com.nfs.license /com/nfs/license/Info com.nfs.license.Info.ShowLicenseActivator string:"$OS" string:"$NAME" string:"$VERSION_ID"

